Get

  • GET
  • /workspaces
  • /:workspace_domain
  • /projects
  • /:project_name
  • /unit-tests
  • /suites
  • /:suite_id
  • /sessions
  • /:session_id
  • /test-groups
  • /:id

Get a specific test group

Request

REQUIRED SCOPES
UNIT_TEST_INFO
URL PARAMETERS
workspace_domainrequiredstring
The human-readable ID of the workspace

Example: "my-company"

project_namerequiredstring
The human-readable ID of the project

Example: "my-project"

suite_idrequiredstring
The ID of the unit test suite

Example: "MNbyVedg"

session_idrequiredstring
The ID of the test session

Example: "r4nBYXVq"

idrequiredstring
The ID of the test group

Example: "com.example.tests.IntegrationTests"

Response

RESPONSE BODY
urlread-onlystring
API endpoint to GET this object
html_urlread-onlystring
Web URL to view this object in Buddy.works
idstring
Unique identifier of the test group
namestring
Name of the test group (typically corresponds to a test suite in JUnit XML)
timenumber
Total execution time in seconds
tests_countinteger
Total number of tests in the group
failed_countinteger
Number of failed tests in the group
skipped_countinteger
Number of skipped tests in the group
error_countinteger
Number of tests with errors in the group
statusstring enum
Overall status of the test group
Allowed enum:
PASSED,
FAILED,
SKIPPED,
ERROR

Last modified on Jan 26, 2026

Request example

CURL
curl -X GET "https://api.buddy.works/workspaces/:workspace_domain/projects/:project_name/unit-tests/suites/:suite_id/sessions/:session_id/test-groups/:id" \ -H "Authorization: Bearer <YOUR-TOKEN>" \ -H "Content-Type: application/json"
EXAMPLE RESPONSE
{ "url": "https://api.buddy.works/workspaces/my-workspace/projects/my-project/unit-tests/suites/65OmRb8v/sessions/0eV0P3V7/test-groups/68f0a5d8b46c1345dfc9bbed", "html_url": "https://app.buddy.works/my-workspace/my-project/unit-tests/65OmRb8v/0eV0P3V7", "id": "68f0a5d8b46c1345dfc9bbed", "name": "src/utils/path/joinPath.test.ts", "time": 0.009, "tests_count": 12, "failed_count": 0, "skipped_count": 0, "error_count": 0, "status": "PASSED" }
STATUS
200 OK